Skip to main content
GET
Get Costing By Id

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Org-Id
string | null

Path Parameters

costing_id
string
required

The costing document ID (e.g., CS-2024-001)

Query Parameters

version
integer | null

Optional version number. Omit to load the latest/current version.

Required range: x >= 1

Response

Successful Response

Full costing response matching frontend TypeScript interface.

Used by:

  • GET /costings (list view)
  • GET /costings/{id} (detail view)
id
string
required
styleCode
string
required
styleName
string
required
version
integer
required
status
string
required
date
string
required
createdBy
string
required
currency
string
required
summary
CostingSummary · object
required

Summary totals for the cost sheet

materials
CostingMaterial · object[]
required
processing
CostingProcessing · object[]
required
overhead
CostingOverhead · object
required

Combined overhead structure

profitScenarios
CostingProfitScenarios · object[]
required
history
CostingHistory · object[]
required
exchangeRates
CostingExchangeRate · object[]
required
costSheetName
string | null
styleId
string | null
clientName
string | null
clientId
string | null
currentVersion
integer | null
stageKey
string | null
stageLabel
string | null
fits
CostingFit · object[]
orderQuantity
number
default:0
orderTotalCost
number
default:0
logistics
CostingLogistics · object[]
bundleEntries
BundleEntry · object[]
approvalHistory
CostingApprovalHistoryEntry · object[]